--目标buff、debuff大小
local function UpdateTargetAuraPositions(self, auraName, numAuras, numOppositeAuras, largeAuraList, updateFunc, maxRowWidth, offsetX)

    local AURA_OFFSET_Y = 4;        --debuff每行个数
    local LARGE_AURA_SIZE = 30;     --debuff大小
    local SMALL_AURA_SIZE = 20;     --buff大小
    local size;
    local offsetY = AURA_OFFSET_Y;
    local rowWidth = 0;
    local firstBuffOnRow = 1;
    for i=1, numAuras do
        if ( largeAuraList[i] ) then
            size = LARGE_AURA_SIZE;
            offsetY = AURA_OFFSET_Y + AURA_OFFSET_Y;
        else
            size = SMALL_AURA_SIZE;
        end
        if ( i == 1 ) then
            rowWidth = size;
            self.auraRows = self.auraRows + 1;
        else
            rowWidth = rowWidth + size + offsetX;
        end
        if ( rowWidth > maxRowWidth ) then
            updateFunc(self, auraName, i, numOppositeAuras, firstBuffOnRow, size, offsetX, offsetY);
            rowWidth = size;
            self.auraRows = self.auraRows + 1;
            firstBuffOnRow = i;
            offsetY = AURA_OFFSET_Y;
        else
            updateFunc(self, auraName, i, numOppositeAuras, i - 1, size, offsetX, offsetY);
        end
    end;
end;
hooksecurefunc("TargetFrame_UpdateAuraPositions", UpdateTargetAuraPositions)

--[[buff黑白
local function t_auras()
	for i = 1,40 do
	if _G["TargetFrameDebuff"..i.."Icon"] ~= nil then
local caster = select(8,UnitDebuff("target",i)) 
	if caster == "player" then
	_G["TargetFrameDebuff"..i.."Icon"]:SetVertexColor(1,1,1,1)  --SetAlpha(0.88)
else
	_G["TargetFrameDebuff"..i.."Icon"]:SetDesaturated(1)
end
else
break
end
end
end
hooksecurefunc("TargetFrame_UpdateAuras", t_auras)
]]

--[[
local function t_auras()
for i = 1,40 do
if _G["TargetFrameDebuff"..i.."Icon"] ~= nil then
local caster = select(8,UnitDebuff("target",i)) 
if caster ~= "player" then
_G["TargetFrameDebuff"..i.."Icon"]:SetDesaturated(0.5)  --SetVertexColor(0.17,0.17,0.17,1)
else
_G["TargetFrameDebuff"..i.."Icon"]:SetVertexColor(1,1,1,1)
end

else
break
end
end
end
hooksecurefunc("TargetFrame_UpdateAuras", t_auras)
]]