--Tab切换聊天频道
function ChatEdit_CustomTabPressed(...)
ChatEdit_CustomTabPressed_Inner(...);
end
local cycles = {
{
chatType = "SAY", --SAY
use = function(self, editbox) return 1 end,
},
{
chatType = "YELL", --大喊
use = function(self, editbox) return 1 end,
},
{
chatType = "PARTY", --小队
use = function(self, editbox) return IsInGroup() end,
},
{
chatType = "RAID", --团队
use = function(self, editbox) return IsInRaid() end,
},
{
chatType = "INSTANCE_CHAT", --副本
use = function(self, editbox) return IsInInstance() end,
},
{
chatType = "GUILD", --工会
use = function(self, editbox) return IsInGuild() end,
},
{
chatType = "CHANNEL",
use = function(self, editbox, currChatType)
if currChatType~="CHANNEL" then
currNum = IsShiftKeyDown() and 21 or 0
else
currNum = editbox:GetAttribute("channelTarget");
end
local h, r, step = currNum+1, 20, 1
if IsShiftKeyDown() then h, r, step = currNum-1, 1, -1 end
for i=h,r,step do
local channelNum, channelName = GetChannelName(i);
if channelNum > 0 and not channelName:find("本地防务 %-") then
editbox:SetAttribute("channelTarget", i);
return true;
end
end
end,
},
{
chatType = "SAY",
use = function(self, editbox) return 1 end,
},

}
function ChatEdit_CustomTabPressed_Inner(self)
if strsub(tostring(self:GetText()), 1, 1) == "/" then return end
local currChatType = self:GetAttribute("chatType")
for i, curr in ipairs(cycles) do
if curr.chatType== currChatType then
local h, r, step = i+1, #cycles, 1
if IsShiftKeyDown() then h, r, step = i-1, 1, -1 end
if currChatType=="CHANNEL" then h = i end
for j=h, r, step do
if cycles[j]:use(self, currChatType) then
self:SetAttribute("chatType", cycles[j].chatType);
ChatEdit_UpdateHeader(self);
return;
end
end
end
end
end

--顶部输入框
for i= 1,10 do
    _G["ChatFrame"..i]:SetScale("1.1")
	local editbox = _G['ChatFrame'..i..'EditBox']
	local a, b, c = select(6, editbox:GetRegions())
	a:SetAlpha(0)
	b:SetAlpha(0)
	c:SetAlpha(0)
		
	editbox:ClearAllPoints()
	editbox:SetPoint('BOTTOMLEFT', _G.ChatFrame1, 'TOPLEFT', 0, 20)
	editbox:SetPoint('BOTTOMRIGHT', _G.ChatFrame1, 'TOPRIGHT', 0, 20)
	editbox:SetAltArrowKeyMode(false)
		
end